[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGraphic.SaveToFile

Writes graphic data to the specified file name.

## Declaration

Source position: graphics.pp line 842

`public procedure TGraphic.SaveToFile(`
`const Filename: string`
`); virtual;`

## Arguments

`Filename` |  | The name of the file where the graphic data is stored.

## Description

SaveToFile is a procedure used to write the graphic data in the class instance to the specified file name. Filename is the fully-qualified file name on the local file system where the data is stored, and may contain UTF-8-encoded characters.

SaveToFile creates a temporary TFileStreamUTF8 instance that is used to write graphic data by calling the SaveToStream method.